Bug 238031 - cluster mirrors not handling all recovery/write conflicts
cluster mirrors not handling all recovery/write conflicts
Status: CLOSED WORKSFORME
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-26 12:27 EDT by Jonathan Earl Brassow
Modified: 2010-01-11 21:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-01 10:43:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2007-04-26 12:27:54 EDT
Problem is that the kernel (main mirror code) does not do any marks/clears when
writing to a region before its recovery.  So, it is not possible for the server
to detect a conflict.  Basically, we must turn back on the
'is_remote_recovering' function and disallow any writes to regions that are OR
WILL BE recovering.

It's really going to cause some pain during writes while mirrors are re-syncing.
 We might be able to find a better fix for 4.6.
Comment 1 Jonathan Earl Brassow 2007-04-26 13:08:52 EDT
assigned -> post
Comment 2 Jonathan Earl Brassow 2007-08-22 13:34:37 EDT
this issue was resolved in 4.5, and the "better fix" is in place for 4.6.

post -> modified.
Comment 3 Corey Marthaler 2008-07-01 10:43:50 EDT
Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.